Debian Bug report logs - #670054
rdkit: FTFBS on powerpc / s390x / sparc (test suite failures)

version graph

Package: src:rdkit; Maintainer for src:rdkit is Debichem Team <debichem-devel@lists.alioth.debian.org>;

Reported by: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Date: Sun, 22 Apr 2012 16:18:01 UTC

Severity: serious

Tags: sid, wheezy

Found in version rdkit/201112-1

Fixed in version rdkit/201203-2

Done: Michael Banck <mbanck@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debichem Team <debichem-devel@lists.alioth.debian.org>:
Bug#670054; Package src:rdkit. (Sun, 22 Apr 2012 16:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
New Bug report received and forwarded. Copy sent to Debichem Team <debichem-devel@lists.alioth.debian.org>. (Sun, 22 Apr 2012 16:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: submit@bugs.debian.org
Subject: rdkit: FTFBS on powerpc / s390x / sparc (test suite failures)
Date: Sun, 22 Apr 2012 17:14:07 +0100
Source: rdkit
Version: 201112-1
Severity: serious
Tags: wheezy sid

Hi,

rdkit FTBFS on powerpc, s390x and sparc due to test suite failures.
From the powerpc build log:

88% tests passed, 9 tests failed out of 76

Total Test time (real) = 113.88 sec

The following tests FAILED:
	  2 - testDataStructs (OTHER_FAULT)
	  4 - pyDiscreteValueVect (Failed)
	  5 - pySparseIntVect (Failed)
	  7 - testGrid (OTHER_FAULT)
	 22 - graphmoltestPickler (OTHER_FAULT)
	 42 - pyMolDescriptors (Failed)
	 66 - pyCMIM (Failed)
	 67 - pyRanker (Failed)
	 69 - pyFeatures (Failed)
Errors while running CTest
make[2]: *** [test] Error 8
make[2]: Leaving directory `/build/buildd-rdkit_201112-1-powerpc-PES4nC/rdkit-201112/obj-powerpc-linux-gnu'
dh_auto_test: make -j1 test ARGS+=-j1 returned exit code 2
make[1]: *** [override_dh_auto_test] Error 29
make[1]: Leaving directory `/build/buildd-rdkit_201112-1-powerpc-PES4nC/rdkit-201112'
make: *** [build] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2

Full logs available via
https://buildd.debian.org/status/package.php?p=rdkit

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debichem Team <debichem-devel@lists.alioth.debian.org>:
Bug#670054; Package src:rdkit. (Mon, 23 Apr 2012 03:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Greg Landrum <greg.landrum@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debichem Team <debichem-devel@lists.alioth.debian.org>. (Mon, 23 Apr 2012 03:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 670054@bugs.debian.org (full text, mbox):

From: Greg Landrum <greg.landrum@gmail.com>
To: 670054@bugs.debian.org, debichem-devel@lists.alioth.debian.org
Subject: Re: [Debichem-devel] Bug#670054: rdkit: FTFBS on powerpc / s390x / sparc (test suite failures)
Date: Mon, 23 Apr 2012 05:55:28 +0200
This is almost certainly a problem with byte-ordering and the RDKit's
method of handling serialization.

I'm sure it's not that tough to fix, and I will happily do the work,
but I don't have access to a big-endian machine to do the development
work and testing. Is there a straightforward solution to this?

-greg

On Sun, Apr 22, 2012 at 6:14 PM, Adam D. Barratt
<adam@adam-barratt.org.uk> wrote:
> Source: rdkit
> Version: 201112-1
> Severity: serious
> Tags: wheezy sid
>
> Hi,
>
> rdkit FTBFS on powerpc, s390x and sparc due to test suite failures.
> From the powerpc build log:
>
> 88% tests passed, 9 tests failed out of 76
>
> Total Test time (real) = 113.88 sec
>
> The following tests FAILED:
>          2 - testDataStructs (OTHER_FAULT)
>          4 - pyDiscreteValueVect (Failed)
>          5 - pySparseIntVect (Failed)
>          7 - testGrid (OTHER_FAULT)
>         22 - graphmoltestPickler (OTHER_FAULT)
>         42 - pyMolDescriptors (Failed)
>         66 - pyCMIM (Failed)
>         67 - pyRanker (Failed)
>         69 - pyFeatures (Failed)
> Errors while running CTest
> make[2]: *** [test] Error 8
> make[2]: Leaving directory `/build/buildd-rdkit_201112-1-powerpc-PES4nC/rdkit-201112/obj-powerpc-linux-gnu'
> dh_auto_test: make -j1 test ARGS+=-j1 returned exit code 2
> make[1]: *** [override_dh_auto_test] Error 29
> make[1]: Leaving directory `/build/buildd-rdkit_201112-1-powerpc-PES4nC/rdkit-201112'
> make: *** [build] Error 2
> dpkg-buildpackage: error: debian/rules build gave error exit status 2
>
> Full logs available via
> https://buildd.debian.org/status/package.php?p=rdkit
>
> Regards,
>
> Adam
>
>
>
>
> _______________________________________________
> Debichem-devel mailing list
> Debichem-devel@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/debichem-devel




Information forwarded to debian-bugs-dist@lists.debian.org, Debichem Team <debichem-devel@lists.alioth.debian.org>:
Bug#670054; Package src:rdkit. (Mon, 23 Apr 2012 11:24:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debichem Team <debichem-devel@lists.alioth.debian.org>. (Mon, 23 Apr 2012 11:24:18 GMT) Full text and rfc822 format available.

Message #15 received at 670054@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: Greg Landrum <greg.landrum@gmail.com>
Cc: 670054@bugs.debian.org
Subject: Re: [Debichem-devel] Bug#670054: rdkit: FTFBS on powerpc / s390x / sparc (test suite failures)
Date: Mon, 23 Apr 2012 13:20:17 +0200
Hi Greg,

On Mon, Apr 23, 2012 at 05:55:28AM +0200, Greg Landrum wrote:
> This is almost certainly a problem with byte-ordering and the RDKit's
> method of handling serialization.
> 
> I'm sure it's not that tough to fix, and I will happily do the work,
> but I don't have access to a big-endian machine to do the development
> work and testing. Is there a straightforward solution to this?

It is pretty easy for Debian Developers to access the porter machines,
so I could test patches.  Getting access for you is probably possible as
well, I can ask the administrators.  That might take a bit, though.

Anyway, thanks a lot for caring!


Michael




Added indication that bug 670054 blocks 653823 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 13 May 2012 12:48:10 GMT) Full text and rfc822 format available.

Reply sent to Michael Banck <mbanck@debian.org>:
You have taken responsibility. (Tue, 12 Jun 2012 15:42:29 GMT) Full text and rfc822 format available.

Notification sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Bug acknowledged by developer. (Tue, 12 Jun 2012 15:42:29 GMT) Full text and rfc822 format available.

Message #22 received at 670054-close@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: 670054-close@bugs.debian.org
Subject: Bug#670054: fixed in rdkit 201203-2
Date: Tue, 12 Jun 2012 15:39:51 +0000
Source: rdkit
Source-Version: 201203-2

We believe that the bug you reported is fixed in the latest version of
rdkit, which is due to be installed in the Debian FTP archive:

librdkit-dev_201203-2_amd64.deb
  to main/r/rdkit/librdkit-dev_201203-2_amd64.deb
librdkit1_201203-2_amd64.deb
  to main/r/rdkit/librdkit1_201203-2_amd64.deb
python-rdkit_201203-2_amd64.deb
  to main/r/rdkit/python-rdkit_201203-2_amd64.deb
rdkit-data_201203-2_all.deb
  to main/r/rdkit/rdkit-data_201203-2_all.deb
rdkit-doc_201203-2_all.deb
  to main/r/rdkit/rdkit-doc_201203-2_all.deb
rdkit_201203-2.debian.tar.gz
  to main/r/rdkit/rdkit_201203-2.debian.tar.gz
rdkit_201203-2.dsc
  to main/r/rdkit/rdkit_201203-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 670054@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Banck <mbanck@debian.org> (supplier of updated rdkit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 12 Jun 2012 13:45:10 +0200
Source: rdkit
Binary: python-rdkit rdkit-doc rdkit-data librdkit1 librdkit-dev
Architecture: source amd64 all
Version: 201203-2
Distribution: unstable
Urgency: low
Maintainer: Michael Banck <mbanck@debian.org>
Changed-By: Michael Banck <mbanck@debian.org>
Description: 
 librdkit-dev - Collection of cheminformatics and machine-learning software (deve
 librdkit1  - Collection of cheminformatics and machine-learning software (shar
 python-rdkit - Collection of cheminformatics and machine-learning software
 rdkit-data - Collection of cheminformatics and machine-learning software (data
 rdkit-doc  - Collection of cheminformatics and machine-learning software (docu
Closes: 670053 670054
Changes: 
 rdkit (201203-2) unstable; urgency=low
 .
   * debian/rules (override_dh_auto_test): Deactivated for now
     (Closes: #670053, #670054).
Checksums-Sha1: 
 cbda4bb5550326f5fd7370f660f94fb2b9b11074 1582 rdkit_201203-2.dsc
 c3f400d169206e70452f928943bb568a969fbfd6 5346 rdkit_201203-2.debian.tar.gz
 9c05ef71e8b03fe7c4a4a57241a51744b26d5db4 2711414 python-rdkit_201203-2_amd64.deb
 1e34f432e13ebdff6a6888ee1e436993f4edf215 3010080 rdkit-doc_201203-2_all.deb
 3ad4bbdf65278b734303e717f099c3e5158923d6 452702 rdkit-data_201203-2_all.deb
 1ef697e2be9b828159ea94bfcad07412826377c1 1972334 librdkit1_201203-2_amd64.deb
 f9679951ef354fe57b5c0b25757e5254e4d58cba 156286 librdkit-dev_201203-2_amd64.deb
Checksums-Sha256: 
 010df32c91f5eccf2c5c79bb6d2a9c9fdee0bdf9ac236067ec0096eccdb36441 1582 rdkit_201203-2.dsc
 c91539908bd1768862837219484aa8072aea052946a83dba36cacb4c72b62e9d 5346 rdkit_201203-2.debian.tar.gz
 e69e2c7feb61d7b939e77a587ff6a1c03b5f817e8837351fe0c2a636dd84ed86 2711414 python-rdkit_201203-2_amd64.deb
 0b7b4453874947e0ec3ccd4de9425e42c71834bb8950e7552f36a7a301815e6c 3010080 rdkit-doc_201203-2_all.deb
 738380b263499d63a4390e4ee48f2f1d50429c71cc131e3af6f01be3682864c8 452702 rdkit-data_201203-2_all.deb
 493e630781d79d1118fab313e947af7711df6c1b2f9e5d6747bf4e262f1789c9 1972334 librdkit1_201203-2_amd64.deb
 07ae6608b6272f5cf16ac1a5ceef3d641a030d0c6103a24099f4ce2c41728e04 156286 librdkit-dev_201203-2_amd64.deb
Files: 
 f9f08b13861b68d99b39906d7d62a4d6 1582 science optional rdkit_201203-2.dsc
 888acdcb92c92d044d3c430d2cc16701 5346 science optional rdkit_201203-2.debian.tar.gz
 4892099d5ef82ee0c2907e81754bdb10 2711414 python optional python-rdkit_201203-2_amd64.deb
 8a864ae90db59cf0137ee2a05bb6c3e2 3010080 doc optional rdkit-doc_201203-2_all.deb
 c86e9d44b90b89c882da41c535454b8b 452702 science optional rdkit-data_201203-2_all.deb
 5934749b0b85eb1468095b6c6bbe1e4f 1972334 libs optional librdkit1_201203-2_amd64.deb
 2d48c742b02898073df164b9c74e3a9d 156286 libdevel optional librdkit-dev_201203-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk/XSYAACgkQmHaJYZ7RAb+IDwCePjZfu0QAPUfWYxUlXuxydQ8Y
cqgAn3vft3WOxSbMxtcfclnubie4xZoZ
=+JAf
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 31 Jul 2012 07:29:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 16:07:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.